#{extends 'border.html'/}
<div class="container-fluid">

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{purchasing.PaketCtr.index()}">&{'daftar_paket.label'}</a></li>
				<li><a href="${paket?.getDetailUrl()}">&{'detail_paket.label'}</a></li>
				<li><a href="${paket?.getReportDeliveryUrl()}">&{'riwayat_pengiriman.label'}</a></li>
				<li class="active">&{'tambah_pengiriman.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>

	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				<a href="${paket?.getReportDeliveryUrl()}" class="btn btn-sm btn-default"><i class="fa fa-arrow-circle-left"></i> &{'back'}</a>
			</div>
			<!-- End Toolbar -->
		</div>
	</div>

	<div class="row">
		<div class="wizard-form-wrapper">
			<div class="padded">
				<div id="rootwizard">
					<div class="wizard-header">
						<div class="row">
							<div class="col-md-3">
								<h4>&{'tambah_pengiriman.label'}</h4>
							</div>
							<div class="col-md-5 col-md-offset-4">
								<div class="pull-right">
									<div class="navbar">
										<div class="navbar-inner">
											<ul class="nav nav-pills">
												<li class="active">
													<a href="#tab1" data-toggle="tab" class="btn-circle">1</a>
													<span>&{'informasi_pengiriman.label'}</span>
												</li>
												<li>
													<a href="#tab2" data-toggle="tab" class="btn-circle">2</a>
													<span>&{'pilih_produk.label'}</span>
												</li>
											</ul>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="wizard-body">
						<div class="panel panel-default">
							<div class="panel-body">

								<div class="row">
									<form class="form-horizontal product-form" enctype="multipart/form-data" method="POST" action="@{storePengiriman(paket?.id)}">
										<input class="saved-products" name="deliveryDataForm.savedProducts" type="hidden">
										<input class="deleted-products" name="deliveryDataForm.deletedProducts" type="hidden">
										<input name="deliveryDataForm.action" value="${action}" type="hidden">
										<input name="deliveryDataForm.model" value="${paket?.deliveryHistory?.id}" type="hidden">
										#{authenticityToken /}

										<div class="tab-content">

											<div class="tab-pane active" id="tab1">
												<div class="form-group">
													<label class="col-md-2 control-label">&{'nomor_dokumen_lkpp.label'}</label>
													#{if action == 'update'}
														<div class="col-md-4">
															<input class="form-control" value="${paket?.deliveryHistory?.no_dokumen_sistem}" disabled/>
														</div>
													#{/if}
													#{else}
													<div class="col-md-10">
														<p>&{'paket.system_doc_message'}</p>
													</div>
													#{/else}
												</div>

												<div class="form-group required">
													<label class="col-md-2 control-label">&{'nomor_dokumen.label'}</label>
													<div class="col-md-4">
														<input class="form-control doc-number" name="deliveryDataForm.docNumber" value="${paket?.deliveryHistory?.no_dokumen}" required/>
													</div>
												</div>

												<div class="form-group required">
													<label class="col-md-2 control-label">&{'tanggal_dokumen.label'}</label>
													<div class="col-md-2">
														<input id="testdatecreate" class="form-control document-date" name="deliveryDataForm.docDate" value="${paket?.deliveryHistory?.getDocumentDate()}" required/>
													</div>
												</div>

												<div class="form-group">
													<label class="col-md-2 control-label">&{'lampiran.label'}</label>
													<div class="col-md-2">
														<input class="form-control attachment" id="attachment" type="file" accept=".doc,.docx,.pdf" name="deliveryDataForm.attachment"/>
													</div><br><br>
													<div class="col-md-2 col-lg-offset-2">
														<div class="error-image" style="display: none;"><span style="color: red;">File lebih dari 5 MB !</span><br></div>
														<div class="error-image-extention" style="display: none;"><span style="color: red;">Format File Salah !</span><br></div>
                                                        <span style='font-size:20px;'>&#8226;</span> Type : (<span style="color: red">.doc|.docx|.pdf</span>)
                                                        <span style='font-size:20px;'>&#8226;</span> Size : (<span style="color: red"> Max. 5 MB </span>)
													</div>
                                                    <div class="col-md-2 col-lg-offset-2">
													</div>
												</div>

												<div class="form-group required">
													<label class="col-md-2 control-label">&{'referensi_ongkos_kirim.label'}</label>
													<div class="col-md-2">
														<input class="form-control ongkos-kirim" type="text" name="deliveryDataForm.ongkir" value="${paket?.deliveryHistory?.getOngkirString()}" required/>
													</div>
												</div>

												<div class="form-group">
													<label class="col-md-2 control-label">&{'catatan.label'}</label>
													<div class="col-md-4">
														<textarea rows="5" class="form-control" name="deliveryDataForm.note">${paket?.deliveryHistory?.deskripsi}</textarea>
													</div>
												</div>
											</div>

											<div class="tab-pane" id="tab2">
												<div class="toolbar">
													<button class="btn btn-sm btn-primary add-button" type="button" >
														<i class="fa fa-plus"></i>
														&{'tambah_produk.label'}
													</button>
												</div>
												#{paket.productTable items:paket?.getDeliveryProducts(), type:"Pengiriman", label:play.i18n.Messages.get("pengiriman.label") /}
											</div>

											<ul class="pager wizard">
												<li class="previous"><a href="#">&{'sebelumnya.label'}</a></li>
												<li class="next"><a href="#">&{'berikutnya.label'}</a></li>
											</ul>
										</div>
									</form>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	#{paket.productSearchModal action:action, paket:paket, typeString:"delivery" /}

</div>
